<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly
function html_show_general_options($param_values)
{ ?>

    <div class="wrap">

        <?php $path_site2 = plugins_url("../images", __FILE__); ?>

        <div id="poststuff">

            <?php $path_site2 = plugins_url("../images", __FILE__);
            require "head-banner.php";
            ?>

            <div style="clear:both;"></div>
            <div id="post-body-content" class="catalog-options">
                <div id="post-body-heading" class="page_heading drr">
                    <h2><?php echo __("General Settings", "product-catalog"); ?></h2>
                    <a onclick="document.getElementById('adminForm').submit()"
                       class="save-catalog-options origincode_catalog_save_button"><?php echo __("Save", "product-catalog"); ?></a>
                </div>

                <form action="admin.php?page=origin_code_catalog_general_options_page&task=save" method="post"
                      id="adminForm" name="adminForm">
                    <div id="catalog-options-list">

                       
                        <ul class="options-block" id="catalog-view-tabs-contents">
                            <li id="catalog-view-options-0" class="active masonry">

                                <div>
                                    <h3><?php echo __("Translations", "product-catalog"); ?></h3>
                                    <div class="has-background">
                                        <label for="ht_single_product_price_text"><?php echo __("Price Block Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_price_text]"
                                               id="ht_single_product_price_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_price_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_share_text"><?php echo __("Share Block Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_share_text]"
                                               id="ht_single_product_share_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_share_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_rating_text"><?php echo __("Rating Block Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_rating_text]"
                                               id="ht_single_product_rating_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_rating_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_parameters_text"><?php echo __("Parameters Tab Title Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_parameters_text]"
                                               id="ht_single_product_parameters_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_parameters_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_comments_text"><?php echo __("Comments Tab Title Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_comments_text]"
                                               id="ht_single_product_comments_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_comments_text'])); ?>"
                                               class="text"/>
                                    </div>

                                    <div class="" >
                                        <label for="ht_single_product_your_name_text"><?php echo __("Name Label Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_your_name_text]"
                                               id="ht_single_product_your_name_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_your_name_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_your_Comment_text"><?php echo __("Comment Label Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_your_Comment_text]"
                                               id="ht_single_product_your_Comment_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_your_Comment_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_captcha_text"><?php echo __("Captcha Label Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_captcha_text]"
                                               id="ht_single_product_captcha_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_captcha_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_invalid_captcha_text"><?php echo __("Captcha Error Message Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_invalid_captcha_text]"
                                               id="ht_single_product_invalid_captcha_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_invalid_captcha_text'])); ?>"
                                               class="text"/>
                                    </div>

                                    <div class="" >
                                        <label for="ht_single_product_asc_to_seller_text"><?php echo __("Order Popup Title", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_asc_to_seller_text]"
                                               id="ht_single_product_asc_to_seller_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_asc_to_seller_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background">
                                        <label for="ht_single_product_your_mail_text"><?php echo __("E-mail Input Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_your_mail_text]"
                                               id="ht_single_product_your_mail_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_your_mail_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_invalid_mail_text"><?php echo __("E-mail Error Message Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_invalid_mail_text]"
                                               id="ht_single_product_invalid_mail_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_invalid_mail_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_your_phone_text"><?php echo __("Phone Input Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_your_phone_text]"
                                               id="ht_single_product_your_phone_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_your_phone_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_your_message_text"><?php echo __("Message Input Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_your_message_text]"
                                               id="ht_single_product_your_message_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_your_message_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_catalog_general_linkbutton_text"><?php echo __("Product Button Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_catalog_general_linkbutton_text]"
                                               id="ht_catalog_general_linkbutton_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_linkbutton_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_asc_seller_button_text"><?php echo __("Order Button Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_asc_seller_button_text]"
                                               id="ht_single_product_asc_seller_button_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_asc_seller_button_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="has-background" >
                                        <label for="ht_single_product_comments_submit_button_text"><?php echo __("Comments Submit Button Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_comments_submit_button_text]"
                                               id="ht_single_product_comments_submit_button_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_comments_submit_button_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_single_product_asc_seller_popup_button_text"><?php echo __("Order Popup Button Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_single_product_asc_seller_popup_button_text]"
                                               id="ht_single_product_asc_seller_popup_button_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_single_product_asc_seller_popup_button_text'])); ?>"
                                               class="text"/>
                                    </div>
                                    <div class="" >
                                        <label for="ht_catalog_general_no_search_result_text"><?php echo __("Order Popup Button Text", "product-catalog"); ?></label>
                                        <input type="text" name="params[ht_catalog_general_no_search_result_text]"
                                               id="ht_catalog_general_no_search_result_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_no_search_result_text'])); ?>"
                                               class="text"/>
                                    </div>
                                </div>

                                <div>
                                    <h3><?php echo __("Email To Administrator", "product-catalog"); ?></h3>
                                    <div class="has-background">
                                        <label for="ht_catalog_general_message_to_admin"><?php echo __("Send Message To Administrator After Each Submission", "product-catalog"); ?></label>
                                        <input type="hidden" value="off"
                                               name="params[ht_catalog_general_message_to_admin]"/>
                                        <input type="checkbox"
                                               id="ht_catalog_general_message_to_admin" <?php if ($param_values['ht_catalog_general_message_to_admin'] == 'on') {
                                            echo 'checked="checked"';
                                        } ?> name="params[ht_catalog_general_message_to_admin]" value="on"/>
                                    </div>
                                    <div class="">
                                        <label for="ht_catalog_general_admin_email"><?php echo __("Administrator E-mail", "product-catalog"); ?></label>
                                        <input name="params[ht_catalog_general_admin_email]" type="text" class="color"
                                               id="ht_catalog_general_admin_email"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_admin_email'])); ?>"
                                               size="10"/>

                                    </div>
                                    <div class="has-background">
                                        <label for="ht_catalog_general_admin_email_subject"><?php echo __("Message Subject", "product-catalog"); ?></label>
                                        <input name="params[ht_catalog_general_admin_email_subject]" type="text"
                                               class="color" id="ht_catalog_general_admin_email_subject"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_admin_email_subject'])); ?>"
                                               size="10"/>

                                    </div>
                                    <div>
                                        <label for="ht_catalog_general_admin_from_text"><?php echo __("From", "product-catalog"); ?></label>
                                        <input name="params[ht_catalog_general_admin_from_text]" type="text"
                                               class="color" id="ht_catalog_general_admin_from_text"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_admin_from_text'])); ?>"
                                               size="10"/>

                                    </div>
                                    <div class="text-box">
                                        <label for="form_adminstrator_message"><?php echo __("Message", "product-catalog"); ?></label>
                                        <?php
                                        wp_editor($param_values['ht_catalog_general_admin_email_message'], "adminmessage");
                                        ?>
                                        <div class="clear"></div>
                                    </div>
                                </div>

                                <div>
                                    <h3><?php echo __("Email To User", "product-catalog"); ?></h3>
                                    <div class="has-background">
                                        <label for="ht_catalog_general_message_to_user"><?php echo __("Send Confirming Message To Users After Submitting", "product-catalog"); ?></label>
                                        <input type="hidden" value="off"
                                               name="params[ht_catalog_general_message_to_user]"/>
                                        <input type="checkbox"
                                               id="ht_catalog_general_message_to_user" <?php if ($param_values['ht_catalog_general_message_to_user'] == 'on') {
                                            echo 'checked="checked"';
                                        } ?> name="params[ht_catalog_general_message_to_user]" value="on"/>
                                    </div>

                                    <div >
                                        <label for="ht_catalog_general_user_subject"><?php echo __("Message Subject", "product-catalog"); ?></label>
                                        <input name="params[ht_catalog_general_user_subject]" type="text" class="color"
                                               id="ht_catalog_general_user_subject"
                                               value="<?php echo esc_html(stripslashes($param_values['ht_catalog_general_user_subject'])); ?>"
                                               size="10"/>

                                    </div>
                                    <div class="text-box">
                                        <label for="form_adminstrator_message"><?php echo __("Message", "product-catalog"); ?></label>
                                        <?php
                                        wp_editor($param_values['ht_catalog_general_user_message'], "usermessage");
                                        ?>
                                        <div class="clear"></div>
                                    </div>
                                </div>
                                <div>
                                    <h3><?php echo __("Contact Seller Button", "product-catalog"); ?></h3>
                                    <div class="has-background">
                                        <label for="ht_single_product_show_asc_seller_button"><?php echo __("Show Contact Seller Button", "product-catalog"); ?></label>
                                        <input type="hidden" value="off"
                                               name="params[ht_single_product_show_asc_seller_button]"/>
                                        <input type="checkbox"
                                               id="ht_single_product_show_asc_seller_button" <?php if ($param_values['ht_single_product_show_asc_seller_button'] == 'on') {
                                            echo 'checked="checked"';
                                        } ?> name="params[ht_single_product_show_asc_seller_button]" value="on"/>
                                    </div>
                                </div>

                            </li>
                        </ul>

                        <div id="post-body-footer">
                            <a onclick="document.getElementById('adminForm').submit()"
                               class="save-catalog-options button-primary"><?php echo __("Save", "product-catalog"); ?></a>
                            <div class="clear"></div>
                        </div>
                </form>
            </div>
        </div>
    </div>
<?php } ?>