<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly
function html_show_product_options($param_values)
{ ?>

    <div class="wrap">
    <?php $path_site2 = plugins_url("../images", __FILE__);
    require "head-banner.php"; ?>


    <div id="post-body-heading" class="page_heading drr">
        <h2><?php echo __("Single Product Styles", "product-catalog"); ?></h2>
        <a onclick="document.getElementById('adminForm').submit()"
           class="save-catalog-options origincode_catalog_save_button"><?php echo __("Save", "product-catalog"); ?></a>
    </div>

    <div class="catalog_options_grey_overlay"></div>
    <div id="" class="catalog-options">

        <div id="catalog-options-list">
            <ul class="options-block catalog-grey-wrapper pro-options " id="catalog-view-tabs-contents">
                <div class="wpdev-settings-disabled-container">
                    <div class="--description">This section is disabled for current version of plugin</div>
                    <a href="https://origincode.co/downloads/product-catalog/" target="_blank">Get Full Version</a>
                </div>
                <li id="catalog-view-options-0" class="active">
                    <div>
                        <h3><?php echo __("Image Options", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_allow_lightbox"><?php echo __("Allow Lightbox", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_allow_lightbox]"/>
                            <input type="checkbox"
                                   id="ht_single_product_allow_lightbox" name="params[ht_single_product_allow_lightbox]"
                                   value="on"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_allow_zooming"><?php echo __("Allow Zooming", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_allow_zooming]"/>
                            <input type="checkbox"
                                   id="ht_view3_allow_zooming" name="params[ht_single_product_allow_zooming]"
                                   value="on"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_mainimage_width"><?php echo __("Main Image Width", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_mainimage_width]"
                                   id="ht_single_product_mainimage_width"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div>
                            <label for="ht_single_product_show_thumbs"><?php echo __("Show Thumbnails", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_thumbs]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_thumbs" name="params[ht_single_product_show_thumbs]"
                                   value="on"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_thumbs_width"><?php echo __("Thumbnails Width", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_thumbs_width]"
                                   id="ht_single_product_thumbs_width"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div>
                            <label for="ht_single_product_thumbs_height"><?php echo __("Thumbnails Height", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_thumbs_height]"
                                   id="ht_single_product_thumbs_height"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                    </div>
                    <div>
                        <h3><?php echo __("Product Options", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_background_color"><?php echo __("Product Block Background Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_background_color]" type="text" class="color"
                                   id="ht_single_product_background_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div>
                            <label for="ht_single_product_title_font_size"><?php echo __("Title Font Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_title_font_size]"
                                   id="ht_single_product_title_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_title_font_color"><?php echo __("Title Font Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_title_font_color]" type="text" class="color"
                                   id="ht_single_product_title_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_show_price"><?php echo __("Show Price", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_price]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_price" name="params[ht_single_product_show_price]"
                                   value="on"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_price_font_size"><?php echo __("Price Font Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_price_font_size]"
                                   id="ht_single_product_price_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>

                        <div class="">
                            <label for="ht_single_product_price_font_color"><?php echo __("Price Font Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_price_font_color]" type="text" class="color"
                                   id="ht_single_product_price_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_show_description"><?php echo __("Show Description", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_description]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_description"
                                   name="params[ht_single_product_show_description]" value="on"/>
                        </div>
                        <div>
                            <label for="ht_single_product_description_font_size"><?php echo __("Description Font Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_description_font_size]"
                                   id="ht_single_product_description_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_description_font_color"><?php echo __("Description Font Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_description_font_color]" type="text" class="color"
                                   id="ht_single_product_description_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>

                        <div class="">
                            <label for="ht_single_product_show_rating"><?php echo __("Show Rating", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_rating]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_rating" name="params[ht_single_product_show_rating]"
                                   value="on"/>
                        </div>

                        <div class="has-background">
                            <label for="ht_single_product_show_share_buttons"><?php echo __("Show Share Buttons", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_share_buttons]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_share_buttons"
                                   name="params[ht_single_product_show_share_buttons]" value="on"/>
                        </div>

                        <div class="">
                            <label for="ht_single_product_rating_font_size"><?php echo __("Rating's / Share Button's Label Font Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_rating_font_size]"
                                   id="ht_single_product_rating_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_rating_font_color"><?php echo __("Rating's / Share Button's Label Font Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_rating_font_color]" type="text" class="color"
                                   id="ht_single_product_rating_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_show_separator_lines"><?php echo __("Show Separator Lines", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_separator_lines]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_separator_lines"
                                   name="params[ht_single_product_show_separator_lines]" value="on"/>
                        </div>
                    </div>

                    <div>
                        <h3><?php echo __("Comments Box Options", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_show_comments"><?php echo __("Show Comments", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_comments]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_comments" name="params[ht_single_product_show_comments]"
                                   value="on"/>
                        </div>
                        <div>
                            <label for="ht_single_product_comments_name_font_color"><?php echo __("Commentator Name Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_name_font_color]" type="text" class="color"
                                   id="ht_single_product_comments_name_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>

                        <div class="has-background">
                            <label for="ht_single_product_comments_content_font_color"><?php echo __("Comment Text Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_content_font_color]" type="text"
                                   class="color" id="ht_single_product_comments_content_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>


                        <div class="">
                            <label for="ht_single_product_comments_tab_words_font_color"><?php echo __("Comment's box Background Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_tab_words_font_color]" type="text"
                                   class="color" id="ht_single_product_comments_tab_words_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_comments_name_font_size"><?php echo __("Commentator Name Text Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_comments_name_font_size]"
                                   id="ht_single_product_comments_name_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div class="">
                            <label for="ht_single_product_comments_content_font_size"><?php echo __("Comment Text Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_comments_content_font_size]"
                                   id="ht_single_product_comments_content_font_size"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_comments_submit_button_text_font_size"><?php echo __("Submit Button Text Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_comments_submit_button_text_font_size]"
                                   id="ht_single_product_comments_submit_button_text_font_size"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_comments_submit_button_text_font_color"><?php echo __("Submit Button Text Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_submit_button_text_font_color]" type="text"
                                   class="color" id="ht_single_product_comments_submit_button_text_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_comments_submit_button_text_font_hover_color"><?php echo __("Submit Button Text Hover Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_submit_button_text_font_hover_color]"
                                   type="text" class="color"
                                   id="ht_single_product_comments_submit_button_text_font_hover_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_comments_submit_button_text_background_color"><?php echo __("Submit Button Background Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_submit_button_text_background_color]"
                                   type="text" class="color"
                                   id="ht_single_product_comments_submit_button_text_background_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_comments_submit_button_text_background_hover_olor"><?php echo __("Submit Button Background Hover Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_comments_submit_button_text_background_hover_olor]"
                                   type="text" class="color"
                                   id="ht_single_product_comments_submit_button_text_background_hover_olor"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>

                    </div>

                    <div>
                        <h3><?php echo __("Tabs Options", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_tabs_font_color"><?php echo __("Tabs Titles Font Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_tabs_font_color]" type="text" class="color"
                                   id="ht_single_product_tabs_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_tabs_font_hover_color"><?php echo __("Tabs Titles Font Hover Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_tabs_font_hover_color]" type="text" class="color"
                                   id="ht_single_product_tabs_font_hover_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_tabs_border_color"><?php echo __("Tabs Border Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_tabs_border_color]" type="text" class="color"
                                   id="ht_single_product_tabs_border_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                    </div>

                    <div>
                        <h3><?php echo __("Parameters Box Options", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_show_parameters"><?php echo __("Show Parameters", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_parameters]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_parameters"
                                   name="params[ht_single_product_show_parameters]" value="on"/>
                        </div>
                        <div>
                            <label for="ht_single_product_params_name_font_color"><?php echo __("Parameter Name Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_params_name_font_color]" type="text" class="color"
                                   id="ht_single_product_params_name_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>

                        <div class="has-background">
                            <label for="ht_single_product_params_values_font_color"><?php echo __("Parameter Value Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_params_values_font_color]" type="text" class="color"
                                   id="ht_single_product_params_values_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                    </div>

                    <div>
                        <h3><?php echo __("Contact Seller Button Styles", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_show_asc_seller_button"><?php echo __("Show Contact Seller Button", "product-catalog"); ?></label>
                            <input type="hidden" value="off" name="params[ht_single_product_show_asc_seller_button]"/>
                            <input type="checkbox"
                                   id="ht_single_product_show_asc_seller_button"
                                   name="params[ht_single_product_show_asc_seller_button]" value="on"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_button_text_size"><?php echo __("Button Text Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_seller_button_text_size]"
                                   id="ht_single_product_asc_seller_button_text_size"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_seller_button_text_color"><?php echo __("Button Text Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_button_text_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_button_text_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_button_text_hover_color"><?php echo __("Button Text Hover Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_button_text_hover_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_button_text_hover_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_seller_button_background_color"><?php echo __("Single", "product-catalog"); ?>
                                Button Background Color</label>
                            <input name="params[ht_single_product_asc_seller_button_background_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_button_background_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_button_background_hover_color"><?php echo __("Single", "product-catalog"); ?>
                                Button Background Hover Color</label>
                            <input name="params[ht_single_product_asc_seller_button_background_hover_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_button_background_hover_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_button_position"><?php echo __("Button Position", "product-catalog"); ?></label>
                            <select id="ht_single_product_asc_seller_button_position"
                                    name="params[ht_single_product_asc_seller_button_position]">
                                <option value="left">Left
                                </option>
                                <option value="center">Center
                                </option>
                                <option value="right">Right
                                </option>
                            </select>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_button_border_radius"><?php echo __("Button Border Radius", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_seller_button_border_radius]"
                                   id="ht_single_product_asc_seller_button_border_radius"
                                   value=""
                                   class="text"/>
                            <span>px</span>
                        </div>
                    </div>

                    <div>
                        <h3><?php echo __("Contact Seller Popup Styles", "product-catalog"); ?></h3>
                        <div class="has-background">
                            <label for="ht_single_product_tabs_font_color"><?php echo __("Popup Background Gradient", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_popup_background_1]" type="text"
                                   class="color" id="ht_single_product_asc_seller_popup_background_1"
                                   value="#FFFFFF"
                                   size="10" style="width: 17%"/>
                            <input name="params[ht_single_product_asc_seller_popup_background_2]" type="text"
                                   class="color" id="ht_single_product_asc_seller_popup_background_2"
                                   value="#333333"
                                   size="10" style="width: 17%"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_to_seller_text"><?php echo __("Popup Title", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_to_seller_text]"
                                   id="ht_single_product_asc_to_seller_text"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_to_seller_text_font_size"><?php echo __("Popup Title Font Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_to_seller_text_font_size]"
                                   id="ht_single_product_asc_to_seller_text_font_size"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_to_seller_text_font_color"><?php echo __("Popup Title Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_to_seller_text_font_color]" type="text"
                                   class="color" id="ht_single_product_asc_to_seller_text_font_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_popup_close_style"><?php echo __("Close Button Style", "product-catalog"); ?></label>
                            <select id="ht_single_product_asc_seller_popup_close_style"
                                    name="params[ht_single_product_asc_seller_popup_close_style]">
                                <option value="light"><?php echo __("Light", "product-catalog"); ?>
                                </option>
                                <option value="dark"><?php echo __("Dark", "product-catalog"); ?>
                                </option>
                            </select>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_to_seller_input_border_size"><?php echo __("Text Field Border Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_to_seller_input_border_size]"
                                   id="ht_single_product_asc_to_seller_input_border_size"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_to_seller_input_border_color"><?php echo __("Text Field Border Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_to_seller_input_border_color]" type="text"
                                   class="color" id="ht_single_product_asc_to_seller_input_border_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_seller_popup_button_text_size"><?php echo __("Submit Button Text Size", "product-catalog"); ?></label>
                            <input type="text" name="params[ht_single_product_asc_seller_popup_button_text_size]"
                                   id="ht_single_product_asc_seller_popup_button_text_size"
                                   value=""
                                   class="text"/>
                        </div>
                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_popup_button_text_color"><?php echo __("Submit Button Text Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_popup_button_text_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_popup_button_text_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>

                        <div class="has-background">
                            <label for="ht_single_product_asc_seller_popup_button_background_color"><?php echo __("Submit Button Background Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_popup_button_background_color]" type="text"
                                   class="color" id="ht_single_product_asc_seller_popup_button_background_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                        <div class="">
                            <label for="ht_single_product_asc_seller_popup_button_background_hover_color"><?php echo __("Submit Button Background Hover Color", "product-catalog"); ?></label>
                            <input name="params[ht_single_product_asc_seller_popup_button_background_hover_color]"
                                   type="text" class="color"
                                   id="ht_single_product_asc_seller_popup_button_background_hover_color"
                                   value="#FFFFFF"
                                   size="10"/>
                        </div>
                    </div>

                </li>
            </ul>
            <div id="post-body-footer">
                <a onclick="document.getElementById('adminForm').submit()"
                   class="save-catalog-options button-primary"><?php echo __("Save", "product-catalog"); ?></a>
                <div class="clear"></div>
            </div>
        </div>
    </div>
    <style>


    </style>
<?php } ?>